Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Update sys-kernel/linux-headers von 2.6.39 auf 3.1
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
LinuxTom
l33t
l33t


Joined: 26 Mar 2006
Posts: 798

PostPosted: Sun Jan 22, 2012 1:19 pm    Post subject: Update sys-kernel/linux-headers von 2.6.39 auf 3.1 Reply with quote

Hallo Leute,

so eben kommt das Update
Code:
[ebuild     U  ] sys-kernel/linux-headers-3.1 [2.6.39] 4,718 kB

rein. Da ich jedoch weiter mit dem Kernel 2.6.39 arbeite die Frage: Kann ich das durchlassen oder führt das zu Problemen? Oder ist es jetzt an der Zeit auf den 3.1 für stabile Systeme umzuschalten?
Back to top
View user's profile Send private message
Mr. Anderson
l33t
l33t


Joined: 22 Apr 2004
Posts: 756

PostPosted: Sun Jan 22, 2012 2:26 pm    Post subject: Reply with quote

Ich vermute, dass es unwahrscheinlich, aber durchaus möglich ist, dass es dadurch zu Problemen kommen kann. Ein Update auf Kernel 3.1 sollte kein größeres Risiko mehr sein als jedes andere Kernel-Update der 2.6-Reihe, außer Du verwendest noch historische Software aus ganz anderer Quelle.
Back to top
View user's profile Send private message
ScytheMan
l33t
l33t


Joined: 30 Nov 2005
Posts: 605

PostPosted: Sun Jan 22, 2012 10:13 pm    Post subject: Reply with quote

die header sind imho immer abwärtskompatibel zu den sources.

also kein problem
Back to top
View user's profile Send private message
Randy Andy
Veteran
Veteran


Joined: 19 Jun 2007
Posts: 1044
Location: /dev/koelsch

PostPosted: Mon Jan 23, 2012 12:49 pm    Post subject: Reply with quote

Hi ScytheMan.

Imho kann man das pauschal so aber auch nicht stehen lassen, auch wenn's meistens zutrifft :wink:

Ich erinnere mich da noch an folgenden Fall, bei dem ich größte Schwierigkeiten durch neue header hatte:

https://bugs.gentoo.org/show_bug.cgi?id=359595
https://bugs.gentoo.org/show_bug.cgi?id=361943

Gruß, Andy.
_________________
If you want to see a Distro done right, compile it yourself!
Back to top
View user's profile Send private message
ScytheMan
l33t
l33t


Joined: 30 Nov 2005
Posts: 605

PostPosted: Mon Jan 23, 2012 6:28 pm    Post subject: Reply with quote

Randy Andy wrote:
Hi ScytheMan.

Imho kann man das pauschal so aber auch nicht stehen lassen, auch wenn's meistens zutrifft :wink:

Ich erinnere mich da noch an folgenden Fall, bei dem ich größte Schwierigkeiten durch neue header hatte:

https://bugs.gentoo.org/show_bug.cgi?id=359595
https://bugs.gentoo.org/show_bug.cgi?id=361943

Gruß, Andy.


da gings ja auch eher um andere pakete und nicht um die kernel sources, außerdem war der header noch nicht als stable markiert. richtig? ;)
Back to top
View user's profile Send private message
LinuxTom
l33t
l33t


Joined: 26 Mar 2006
Posts: 798

PostPosted: Mon Jan 23, 2012 6:55 pm    Post subject: Reply with quote

ScytheMan wrote:
da gings ja auch eher um andere pakete und nicht um die kernel sources, außerdem war der header noch nicht als stable markiert. richtig? ;)

Bei mir geht es ja auch nicht um die Kernel-Sourcen, sondern um die anderen Pakete und Stabil heißt leider nicht immer funktionstüchtig.
Back to top
View user's profile Send private message
ScytheMan
l33t
l33t


Joined: 30 Nov 2005
Posts: 605

PostPosted: Mon Jan 23, 2012 7:19 pm    Post subject: Reply with quote

dann hab ich die fragestellung wohl missinterpretiert

für mich klang es so wie:
arbeitet source x.y.z mit header x.y+1.z zusammen oder muss man source erst auf x.y+1.z upgraden?
Back to top
View user's profile Send private message
LinuxTom
l33t
l33t


Joined: 26 Mar 2006
Posts: 798

PostPosted: Thu Jan 26, 2012 12:49 pm    Post subject: Reply with quote

Und da haben wir den Salat:
Code:
  (sys-kernel/linux-headers-3.1::gentoo, ebuild scheduled for merge) conflicts with
    <sys-kernel/linux-headers-3.0 required by (media-tv/linuxtv-dvb-headers-5::gentoo, ebuild scheduled for merge)

Und auf den MPlayer oder seine DVB-Unterstütung will ich eigentlich nicht verzichten:
Code:
# equery d media-tv/linuxtv-dvb-headers
 * These packages depend on media-tv/linuxtv-dvb-headers:
media-video/mplayer-1.0_rc4_p20110322-r1 (dvb ? media-tv/linuxtv-dvb-headers)
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5375
Location: Langen (Hessen), Germany

PostPosted: Thu Jan 26, 2012 12:54 pm    Post subject: Reply with quote

Dann nimm halt die media-tv/linuxtv-dvb-headers-5.3.
Ist ja sowieso nur ein virtual ebuild...
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
LinuxTom
l33t
l33t


Joined: 26 Mar 2006
Posts: 798

PostPosted: Thu Jan 26, 2012 12:59 pm    Post subject: Reply with quote

Finswimmer wrote:
... media-tv/linuxtv-dvb-headers-5.3 ...

Muss ich ja nun. ;)
Back to top
View user's profile Send private message
cord
Apprentice
Apprentice


Joined: 28 Apr 2007
Posts: 204

PostPosted: Sat Jan 28, 2012 12:52 pm    Post subject: Re: Update sys-kernel/linux-headers von 2.6.39 auf 3.1 Reply with quote

LinuxTom wrote:
Hallo Leute,

so eben kommt das Update
Code:
[ebuild     U  ] sys-kernel/linux-headers-3.1 [2.6.39] 4,718 kB

rein. Da ich jedoch weiter mit dem Kernel 2.6.39 arbeite die Frage: Kann ich das durchlassen oder führt das zu Problemen? Oder ist es jetzt an der Zeit auf den 3.1 für stabile Systeme umzuschalten?

Which package requires 2.6.39 headers? 'media-tv/linuxtv-dvb-headers-5' isn't it?
If so, then try add
Code:
=media-tv/linuxtv-dvb-headers-5.3 ***your arch***

to /etc/portage/package.keywords.
After that,
Code:
emerge -1av linux-headers linuxtv-dvb-headers
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 2253
Location: Germany

PostPosted: Sat Jan 28, 2012 2:54 pm    Post subject: Reply with quote

LinuxTom wrote:
Und da haben wir den Salat:
Code:
  (sys-kernel/linux-headers-3.1::gentoo, ebuild scheduled for merge) conflicts with
    <sys-kernel/linux-headers-3.0 required by (media-tv/linuxtv-dvb-headers-5::gentoo, ebuild scheduled for merge)

Und auf den MPlayer oder seine DVB-Unterstütung will ich eigentlich nicht verzichten:
Code:
# equery d media-tv/linuxtv-dvb-headers
 * These packages depend on media-tv/linuxtv-dvb-headers:
media-video/mplayer-1.0_rc4_p20110322-r1 (dvb ? media-tv/linuxtv-dvb-headers)

Den verstehe ich nicht so recht..
mplayer mit USE=dvb benötigt doch nur media-tv/linuxtv-dvb-headers
ohne eine eine bestimmte Version.
War die equery d media-tv/linuxtv-dvb-headers Ausgabe so wirklich komplett?

btw
Könntest du nicht einfach die aktuell stable Versionen nutzen, also auch linux-headers und auch den aktuellen 3er Kernel?
(oder spricht etwas dagegen?)
Back to top
View user's profile Send private message
toralf
Advocate
Advocate


Joined: 01 Feb 2004
Posts: 2671
Location: Hamburg/Germany

PostPosted: Sat Jan 28, 2012 8:03 pm    Post subject: Reply with quote

https://bugs.gentoo.org/show_bug.cgi?id=399161
Back to top
View user's profile Send private message
LinuxTom
l33t
l33t


Joined: 26 Mar 2006
Posts: 798

PostPosted: Tue Jan 31, 2012 9:54 am    Post subject: Reply with quote

toralf wrote:
https://bugs.gentoo.org/show_bug.cgi?id=399161

Das ist die Ursache. Ich habe es demaskiert. Mal sehen, ob das System dann auch läuft. ;)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum